rpm 4.11.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
cliutils.c File Reference
`#include "system.h"`
`#include <errno.h>`
`#include <sys/wait.h>`
`#include <rpm/rpmlog.h>`
`#include <rpm/rpmlib.h>`
`#include <rpm/rpmfileutil.h>`
`#include <rpm/rpmmacro.h>`
`#include <rpm/rpmcli.h>`
`#include "cliutils.h"`
`#include "debug.h"`
Include dependency graph for cliutils.c:

Go to the source code of this file.

## Functions
void | argerror (const char *desc)
static void | printVersion (FILE *fp)
static void | printBanner (FILE *fp)
void | printUsage (poptContext con, FILE *fp, int flags)
int | initPipe (void)
int | finishPipe (void)

## Variables
static pid_t | pipeChild = 0

## Function Documentation

void argerror | ( | const char * | desc | ) |

Definition at line 19 of file cliutils.c.

References _, and __progname.

Referenced by main().

int finishPipe | ( | void |  | ) |

Definition at line 73 of file cliutils.c.

References pipeChild.

Referenced by main().

int initPipe | ( | void |  | ) |

Definition at line 48 of file cliutils.c.

References _, pipeChild, and rpmcliPipeOutput.

Referenced by main().

static void printBanner | ( | FILE * | fp | ) |
| static

Definition at line 30 of file cliutils.c.

References _.

Referenced by printUsage().

void printUsage | ( | poptContext | con,
|  | FILE * | fp,
|  | int | flags
| ) |  |

Definition at line 36 of file cliutils.c.

References printBanner(), printVersion(), and rpmIsVerbose.

Referenced by main().

static void printVersion | ( | FILE * | fp | ) |
| static

Definition at line 25 of file cliutils.c.

References _, and rpmEVR.

Referenced by printUsage().

## Variable Documentation

pid_t pipeChild = 0
| static

Definition at line 16 of file cliutils.c.

Referenced by finishPipe(), and initPipe().